Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 882521 - ping interval parsing is broken for some locales
Summary: ping interval parsing is broken for some locales
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iputils
Version: 18
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-01 16:44 UTC by Andrew Travneff
Modified: 2012-12-06 07:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-06 07:20:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew Travneff 2012-12-01 16:44:18 UTC
This upstream fix[1] have to be included if USE_IDN is enabled.
Otherwise ping accepts any interval which is < 1 as 0 for locale with ',' decimal delimiter. In this case it refuses to work with ordinary user rights.

The reason is that USE_IDN enables some internationalization and sscanf switches from '.' delimiter to ',' for my case (LANG=uk_UA.UTF-8).

It isn't possible to set interval using ',' without that fix because '.' is hardcoded in ping.

[1] http://sourceforge.net/p/iputils/code/ci/04d3f79834957dc760850b00b8b52efa14e74757/

Comment 1 Fedora Update System 2012-12-04 11:46:07 UTC
iputils-20121125-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iputils-20121125-2.fc18

Comment 2 Jan Synacek 2012-12-04 11:48:34 UTC
I pushed new iputils to f18. The new version includes the fix mentioned in comment #0 and should fix this bug.

Comment 3 Andrew Travneff 2012-12-04 20:04:15 UTC
After update to iputils-20121125-2.fc18.x86_64 it works (with comma, not a period, for my locale). Issue can be closed, I think.

Comment 4 Fedora Update System 2012-12-04 21:12:19 UTC
Package iputils-20121125-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iputils-20121125-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19659/iputils-20121125-2.fc18
then log in and leave karma (feedback).

Comment 5 Jan Synacek 2012-12-05 08:31:41 UTC
The bug will be closed automatically when the updated package gets to stable. Glad to hear it works.

Comment 6 Fedora Update System 2012-12-06 07:20:38 UTC
iputils-20121125-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.